Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.util
Class MethodInvocationUtils

    java.lang.Object
      org.acegisecurity.util.MethodInvocationUtils

    public class MethodInvocationUtils

extends Object

Static utility methods for creating `MethodInvocation`s usable within Acegi Security.

All methods of this class return a `SimpleMethodInvocation`.

Version:
  $Id: MethodInvocationUtils.java,v 1.1 2005/11/25 04:17:24 benalex Exp $
Author:
  Ben Alex

Constructor Summary
`MethodInvocationUtils()`

Method Summary
`static org.aopalliance.intercept.MethodInvocation` | `create(Object object, String methodName)` Generates a `MethodInvocation` for specified `methodName` on the passed object.
`static org.aopalliance.intercept.MethodInvocation` | `create(Object object, String methodName, Object[] args)` Generates a `MethodInvocation` for specified `methodName` on the passed object, using the `args` to locate the method.
`static org.aopalliance.intercept.MethodInvocation` | `createFromClass(Class clazz, String methodName)` Generates a `MethodInvocation` for specified `methodName` on the passed class.
`static org.aopalliance.intercept.MethodInvocation` | `createFromClass(Class clazz, String methodName, Class[] args)` Generates a `MethodInvocation` for specified `methodName` on the passed class, using the `args` to locate the method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodInvocationUtils

    public MethodInvocationUtils()

Method Detail

### create

    public static org.aopalliance.intercept.MethodInvocation create(Object object,
                                                                    String methodName)

  Generates a `MethodInvocation` for specified `methodName` on the passed object.

  Parameters:
    `object` - the object that will be used to find the relevant `Method`
    `methodName` - the name of the method to find
  Returns:
    a `MethodInvocation`, or `null` if there was a problem

### create

    public static org.aopalliance.intercept.MethodInvocation create(Object object,
                                                                    String methodName,
                                                                    Object[] args)

  Generates a `MethodInvocation` for specified `methodName` on the passed object, using the `args` to locate the method.

  Parameters:
    `object` - the object that will be used to find the relevant `Method`
    `methodName` - the name of the method to find
    `args` - arguments that are required as part of the method signature
  Returns:
    a `MethodInvocation`, or `null` if there was a problem

### createFromClass

    public static org.aopalliance.intercept.MethodInvocation createFromClass(Class clazz,
                                                                             String methodName)

  Generates a `MethodInvocation` for specified `methodName` on the passed class.

  Parameters:
    `clazz` - the class of object that will be used to find the relevant `Method`
    `methodName` - the name of the method to find
  Returns:
    a `MethodInvocation`, or `null` if there was a problem

### createFromClass

    public static org.aopalliance.intercept.MethodInvocation createFromClass(Class clazz,
                                                                             String methodName,
                                                                             Class[] args)

  Generates a `MethodInvocation` for specified `methodName` on the passed class, using the `args` to locate the method.

  Parameters:
    `clazz` - the class of object that will be used to find the relevant `Method`
    `methodName` - the name of the method to find
    `args` - arguments that are required as part of the method signature
  Returns:
    a `MethodInvocation`, or `null` if there was a problem

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.